## php3-dbase 3.0.5-1

=== dbase/Makefile ===
# Generated automatically from Makefile.in by configure.
#
# Copyright (c) 1991, 1992, 1993, 1994 Brad Eacker,
#              (Music, Intuition, Software, and Computers)
# All Rights Reserved

srcdir=.

prefix=/usr/local
exec_prefix=${prefix}
BIN=${exec_prefix}/bin
LIB=${exec_prefix}/lib

CC=gcc
CFLAGS=-I. -I. -g -O2 -O2
RANLIB=ranlib

TARGETS = dbflst tmpl dbfadd dbfdel dbfpack dbfget dbfndx dbfcreat \
	  dbfcr dbfscan dbftst
THINGS = tmpl.dbf

DBF_SRCS=dbf.h dbf_head.c dbf_rec.c dbf_misc.c dbftst.c dbflst.c \
	dbf_sym.h yyerr.c tmpl.c dbfadd.c \
	dbfdel.c dbfpack.c dbfget.c dbf_ndx.h dbf_ndx.c dbfndx.c \
	dbfcreat.c dbfcr.sh dbfscan.sh

DBF_LIB=libdbf.a
DBF_LIB_SO=libdbf.so.1.6
DBF_OBJS=dbf_head.o dbf_rec.o dbf_misc.o dbf_ndx.o
DBF_OBJS_PIC=dbf_head.o.pic dbf_rec.o.pic dbf_misc.o.pic dbf_ndx.o.pic

all: $(DBF_LIB) $(TARGETS) $(THINGS)

so: $(DBF_LIB_SO)

dbf_head.o.pic: dbf.h dbf_head.c
	$(CC) -c -o dbf_head.o.pic -fPIC $(CFLAGS) dbf_head.c

dbf_rec.o.pic: dbf.h dbf_rec.c
	$(CC) -c -o dbf_rec.o.pic -fPIC $(CFLAGS) dbf_rec.c

dbf_misc.o.pic: dbf.h dbf_misc.c
	$(CC) -c -o dbf_misc.o.pic -fPIC $(CFLAGS) dbf_misc.c

dbf_ndx.o.pic: dbf.h dbf_ndx.h dbf_ndx.c
	$(CC) -c -o dbf_ndx.o.pic -fPIC $(CFLAGS) dbf_ndx.c


$(DBF_LIB): $(DBF_OBJS)
	rm -f $(DBF_LIB)
	ar crv $(DBF_LIB) $(DBF_OBJS)
	$(RANLIB) $(DBF_LIB)

$(DBF_LIB_SO): $(DBF_OBJS_PIC)
	rm -rf $(DBF_LIB_SO)
	ld -shared -soname $(DBF_LIB_SO) -o $(DBF_LIB_SO) $(DBF_OBJS_PIC) -lc
	ln -sf libdbf.so.1.6 libdbf.so

extras: tmpl.dbf

install: all
	cp $(TARGETS) $(BIN)
	if [ ! -d $(LIB)/dbase ] ; then mkdir $(LIB)/dbase ; fi
	cp $(DBF_LIB) $(LIB)
	cp $(THINGS) $(LIB)/dbase

dbftst: dbftst.o $(DBF_LIB)
	$(CC) -o $@ dbftst.o -L. -ldbf

dbflst: dbflst.o $(DBF_LIB)
	$(CC) -o $@ dbflst.o -L. -ldbf

tmpl.dbf: tmpl
	LD_LIBRARY_PATH=. ./tmpl

tmpl: tmpl.o $(DBF_LIB)
	$(CC) -o $@ tmpl.o -L. -ldbf

dbfadd: dbfadd.o $(DBF_LIB)
	$(CC) -o $@ dbfadd.o -L. -ldbf

dbfdel: dbfdel.o $(DBF_LIB)
	$(CC) -o $@ dbfdel.o -L. -ldbf

dbfpack: dbfpack.o $(DBF_LIB)
	$(CC) -o $@ dbfpack.o -L. -ldbf

dbfget: dbfget.o $(DBF_LIB)
	$(CC) -o $@ dbfget.o -L. -ldbf

dbfcreat: dbfcreat.o $(DBF_LIB)
	$(CC) -o $@ dbfcreat.o -L. -ldbf

dbfndx: dbfndx.o $(DBF_LIB)
	$(CC) -o $@ dbfndx.o -L. -ldbf

dbfcr: dbfcr.sh
	sed "s;LIB_DEF;$(LIB);" dbfcr.sh >dbfcr
	chmod +x dbfcr

dbfscan: dbfscan.sh
	sed "s;LIB_DEF;$(LIB);" dbfscan.sh >dbfscan
	chmod +x dbfscan

shar:
	shar README $(DBF_SRCS) Makefile HISTORY >dbf.shar

clean:
	rm -f *.o *.a libdbf.* *.pic
	rm -f errs output *~ tg.out rw_*.list core

clobber: clean
	rm -f $(TEST_TARGS) $(TARGETS) $(THINGS)

dbf_head.o: dbf.h dbf_head.c
dbf_rec.o: dbf.h dbf_rec.c
dbf_misc.o: dbf.h dbf_misc.c
dbf_ndx.o: dbf.h dbf_ndx.h dbf_ndx.c
dbinter.o: dbinter.c
dbflst.o: dbf.h dbflst.c
dbftst.o: dbf.h dbftst.c
dbfadd.o: dbf.h dbfadd.c
dbfdel.o: dbf.h dbfdel.c
dbfpack.o: dbf.h dbfpack.c
dbfget.o: dbf.h dbfget.c
dbfndx.o: dbf.h dbf_ndx.h dbfndx.c
tmpl.o: dbf.h tmpl.c
