=== debian/changelog ===
php3-dbase (1:3.0.5-1) unstable; urgency=low

  * New upstream version

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Wed,  7 Oct 1998 23:58:02 +0200

php3-dbase (1:3.0.4-1) unstable; urgency=low

  * New upstream version
  * Split libdbf1.6-dev package

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Wed, 30 Sep 1998 23:31:52 +0200

php3-dbase (1:3.0.3-1) unstable; urgency=low

  * New upstream version
  * Split php3-cgi-dbase into separate package
  * Build libdbf.so and split it into a separate package

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Fri, 21 Aug 1998 22:26:26 +0200

php3-dbase (1:3.0-1) unstable; urgency=low

  * Initial release

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Wed, 10 Jun 1998 02:59:17 +0200

Local variables:
mode: debian-changelog
add-log-mailing-address: "gorgo@caesar.elte.hu"
End:
