=== debian/control ===
Source: php3-dbase
Section: non-free/web
Priority: optional
Maintainer: Gergely Madarasz <gorgo@caesar.elte.hu>
Standards-Version: 2.3.0.1

Package: php3-dbase
Architecture: any
Depends: ${php3:Depends}, ${shlibs:Depends}
Provides: php3-database
Recommends: dbf
Description: dbase module for PHP3 (apache)
 PHP: Hypertext Preprocessor Version 3.0 is an HTML-embedded scripting
 language. Much of its syntax is borrowed from C, Java and Perl with a
 couple of unique PHP-specific features thrown in. The goal of the
 language is to allow web developers to write dynamically generated
 pages quickly.
 .
 This package provides a PHP3 module (apache version) for using xbase files.

Package: php3-cgi-dbase
Architecture: any
Depends: ${php3-cgi:Depends}, ${shlibs:Depends}
Provides: php3-cgi-database
Recommends: dbf
Description: dbase module for PHP3 (cgi)
 PHP: Hypertext Preprocessor Version 3.0 is an HTML-embedded scripting
 language. Much of its syntax is borrowed from C, Java and Perl with a
 couple of unique PHP-specific features thrown in. The goal of the
 language is to allow web developers to write dynamically generated
 pages quickly.
 .
 This package provides a PHP3 module (cgi version) for using xbase files.

Package: libdbf1.6
Architecture: any
Section: non-free/libs
Depends: ${shlibs:Depends}
Description: xbase manipulation shared library 
 This package contains the libdbf shared libraries.

Package: libdbf1.6-dev
Architecture: any
Section: non-free/libs
Depends: ${libdbf:Depends}
Description: xbase manipulation static library and headers
 This package contains the libdbf static libraries and header files.

Package: dbf
Architecture: any
Section: non-free/misc
Depends: ${shlibs:Depends}
Description: xbase manipulation package
 This package contains a set of tools to manipulate xbase files.
